import { container } from "#/lib/container.ts";
import { ConfigLoader } from "#/lib/config/index.ts";
const configLoader = await ConfigLoader.New(
  "doorgan.yml",
  "doorgan.yaml",
  Deno.env.get("HOME")+"/.config/doorgan.yml",
  Deno.env.get("HOME")+"/.config/doorgan.yaml"
)
container.bind({
  provide: ConfigLoader,
  useFactory: () => {
    return configLoader;
  }
})

